<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormFunctions documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormFunctions">GormFunctions documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">GormFunctions functions</a></h1>
    <p>
    </p>
    <h3><a name="function$_GSObjCMethodNamesForClass">_GSObjCMethodNamesForClass</a></h3>
    NSArray* _GSObjCMethodNamesForClass(Class <b>class</b>, BOOL <b>collect</b>);<br />
    <div class="desc">
      
          This method returns an array listing the names of all
          the instance methods available to obj, whether they
          belong to the <var>class</var> of obj or one of its
          superclasses. <br /> If obj is a
          <var>class</var>, this returns the <var>class</var>
          methods. <br /> Returns <code>nil</code> if obj is
          <code>nil</code>.
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$_GSObjCVariableNames">_GSObjCVariableNames</a></h3>
    NSArray* _GSObjCVariableNames(Class <b>class</b>, BOOL <b>collect</b>);<br />
    <div class="desc">
      
          This method returns an array listing the names of all
          the instance variables present in the instance obj,
          whether they belong to the <var>class</var> of obj or
          one of its superclasses. <br /> Returns <code>nil</code>
          if obj is <code>nil</code>.
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$allSubviews">allSubviews</a></h3>
    NSArray* allSubviews(NSView* <b>view</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$appVersion">appVersion</a></h3>
    int appVersion(long int <b>a</b>, long int <b>b</b>, long int <b>c</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$colorFromDict">colorFromDict</a></h3>
    NSColor* colorFromDict(NSDictionary* <b>colorString</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$colorToDict">colorToDict</a></h3>
    NSDictionary* colorToDict(NSColor* <b>color</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$cutFileLabelText">cutFileLabelText</a></h3>
    NSString* cutFileLabelText(NSString* <b>filename</b>, id <b>label</b>, NSInteger <b>length</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$defaultCellSize">defaultCellSize</a></h3>
    NSSize defaultCellSize();<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$findAll">findAll</a></h3>
    NSArray* findAll(NSMenu* <b>menu</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$findAllSubmenus">findAllSubmenus</a></h3>
    NSArray* findAllSubmenus(NSArray* <b>array</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$findAllWithArray">findAllWithArray</a></h3>
    void findAllWithArray(id <b>item</b>, NSMutableArray* <b>array</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$formatAction">formatAction</a></h3>
    NSString* formatAction(NSString* <b>action</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$formatOutlet">formatOutlet</a></h3>
    NSString* formatOutlet(NSString* <b>outlet</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$identifierString">identifierString</a></h3>
    NSString* identifierString(NSString* <b>str</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$minimalContainerFrame">minimalContainerFrame</a></h3>
    NSRect minimalContainerFrame(NSArray* <b>views</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$promptForClassName">promptForClassName</a></h3>
    NSString* promptForClassName(NSString* <b>title</b>, NSArray* <b>classes</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$subviewsForView">subviewsForView</a></h3>
    void subviewsForView(NSView* <b>view</b>, NSMutableArray* <b>array</b>);<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$systemImagesList">systemImagesList</a></h3>
    NSArray* systemImagesList();<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <h3><a name="function$systemSoundsList">systemSoundsList</a></h3>
    NSArray* systemSoundsList();<br />
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="25%" align="left" />
    <br />
    </font>
</body>
</html>
